Package org.eclipse.m2m.atl.core.ui.vm.asm

# Class ASMExtractor

java.lang.Object
org.eclipse.m2m.atl.core.ui.vm.asm.ASMExtractor

All Implemented Interfaces:
  `IExtractor`

public class ASMExtractor extends Object implements IExtractor
The RegularVM adaptation of the `IExtractor`.

## Constructor Summary

Constructors
Constructor
Description
`ASMExtractor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`extract(IModel sourceModel, OutputStream target, Map<String,Object> options)`
Extracts an IModel using the given options.
`void`
`extract(IModel sourceModel, String target)`
Extracts an IModel using default options.
`void`
`extract(IModel sourceModel, String target, Map<String,Object> options)`
Extracts an IModel using the given options.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ASMExtractor

public ASMExtractor()

## Method Details

### extract

public void extract(IModel sourceModel, String target, Map<String,Object> options) throws ATLCoreException
Extracts an IModel using the given options.

Specified by:
  `extract` in interface `IExtractor`
Parameters:
  `sourceModel` - the IModel to extract
  `target` - the target indication to extract the targetModel
  `options` - the extraction parameters
Throws:
  `ATLCoreException`
See Also:
  - `IExtractor.extract(org.eclipse.m2m.atl.core.IModel, java.lang.String, java.util.Map)`

### extract

public void extract(IModel sourceModel, String target) throws ATLCoreException
Extracts an IModel using default options.

Specified by:
  `extract` in interface `IExtractor`
Parameters:
  `sourceModel` - the IModel to extract
  `target` - the target indication to extract the targetModel
Throws:
  `ATLCoreException`
See Also:
  - `IExtractor.extract(org.eclipse.m2m.atl.core.IModel, java.lang.String)`

### extract

public void extract(IModel sourceModel, OutputStream target, Map<String,Object> options) throws ATLCoreException
Extracts an IModel using the given options.

Specified by:
  `extract` in interface `IExtractor`
Parameters:
  `sourceModel` - the IModel to extract
  `target` - the `OutputStream` where to extract the targetModel
  `options` - the extraction parameters
Throws:
  `ATLCoreException`
See Also:
  - `IExtractor.extract(org.eclipse.m2m.atl.core.IModel, java.io.OutputStream, java.util.Map)`